{% extends "base.html" %}

{% load i18n %}
{% load static %}

{% block title %}{% trans "Open-source" context "Opensource page title" %}{% endblock %}

{% block extra_headers %}
<meta name="description" content="{% trans "Paperwork is opensource software (GPLv3). This page explains what it means for you." %}">
{% endblock %}

{% block body %}

{% blocktrans %}
<h1 style="text-align: center;">OpenPaper.work's Projects</h1>
{% endblocktrans %}

<div style="width: 100%;">
    <table style="width: 700px; margin: 0 auto;">
        <tr>
            <td style="width: 200px;">
                <a href="{% url 'home:index' %}">
                <img src="{% static "paperwork-logo.png" %}" width="128" height="auto" />
                </a>
            </td>
            <td>
                <h3><a href="{% url 'home:index' %}">Paperwork</a></h3>

                {% url 'beacon:statistics' as paperwork_stats %}
                {% blocktrans %}
                <p>
                Paperwork is a personal document manager.
                It is the main project on OpenPaper.work.
                </p>
                <p>
                <a href="{{ paperwork_stats }}">Anonymous usage statistics</a> are available.
                </p>
                {% endblocktrans %}
            </td>
        </tr>

        <tr>
            <td>
                <a href="https://gitlab.gnome.org/World/OpenPaperwork/pyocr">
                <img src="{% static "pyocr.png" %}" width="128" height="auto" />
                </a>
            </td>
            <td>
                <h3><a href="https://gitlab.gnome.org/World/OpenPaperwork/pyocr">PyOCR</a></h3>
                {% blocktrans %}
                <p>
                PyOCR is a Python library simplifying the use of OCR tools like
                Tesseract or Cuneiform. This library is used by Paperwork to
                run OCR on documents.
                </p>
                {% endblocktrans %}
            </td>
        </tr>

        <tr>
            <td>
                <a href="https://gitlab.gnome.org/World/OpenPaperwork/libinsane">
                <img src="{% static "flatbed.png" %}" width="128" height="auto" />
                </a>
            </td>
            <td>
                <h3><a href="https://gitlab.gnome.org/World/OpenPaperwork/libinsane">Libinsane</a></h3>
                {% blocktrans %}
                <p>
                Libinsane is a C library to simplify the use of scanners
                on both GNU/Linux and Windows. This library is provided with
                bindings for many programming languages (Python, Javascript,
                Vala, etc) thanks to
                <a href="https://gi.readthedocs.io/en/latest/">GObject Introspection</a>.
                Paperwork uses Libinsane to access scanners.
                </p>
                {% endblocktrans %}

                <h3><a href="{% url 'scannerdb:home' %}">{% trans "Scanner database" %}</a></h3>
                {% blocktrans %}
                <p>
                This scanner database contains details about scanners and scanner drivers.
                It is useful to improve both Libinsane and Paperwork.
                </p>
                {% endblocktrans %}
            </td>
        </tr>

        <tr>
            <td>
            </td>
            <td>
                <h3><a href="https://gitlab.gnome.org/World/OpenPaperwork/libpillowfight">Libpillowfight</a></h3>
                {% blocktrans %}
                <p>
                C and Python library providing various image processing algorithms.
                </p>
                {% endblocktrans %}
            </td>
        </tr>

        <tr>
            <td>
                <a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork/pipelines">
                <img src="{% static "gitlab.png" %}" width="110" height="auto" />
                </a>
            </td>
            <td>
                <h3><a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork/pipelines">{% trans "Continuous integration" %}</a></h3>
                {% blocktrans %}
                <p>
                OpenPaper.work projects are checked and rebuilt after each change.
                Paperwork's Flatpak repository is also updated after each change.
                </p>
                {% endblocktrans %}
            </td>
        </tr>
    </table>
</div>

{% endblock %}
